org.appng.openapi.model

## Class FieldValue

- java.lang.Object
- - org.appng.openapi.model.FieldValue

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class FieldValue
      extends Object

  The value of a field within a datasource.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_FORMATTED_VALUE`
    `static String` | `JSON_PROPERTY_ICONS`
    `static String` | `JSON_PROPERTY_NAME`
    `static String` | `JSON_PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldValue` | `addIconsItem(Icon iconsItem)`
    `boolean` | `equals(Object o)`
    `FieldValue` | `formattedValue(String formattedValue)`
    `String` | `getFormattedValue()` The formatted value of the field (only applies for \"simple\" FieldTypes).
    `List<Icon>` | `getIcons()` Get icons
    `String` | `getName()` The name of the field.
    `Object` | `getValue()` The value of the field.
    `int` | `hashCode()`
    `FieldValue` | `icons(List<Icon> icons)`
    `FieldValue` | `name(String name)`
    `void` | `setFormattedValue(String formattedValue)`
    `void` | `setIcons(List<Icon> icons)`
    `void` | `setName(String name)`
    `void` | `setValue(Object value)`
    `String` | `toString()`
    `FieldValue` | `value(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_NAME

          public static final String JSON_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_VALUE

          public static final String JSON_PROPERTY_VALUE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FORMATTED_VALUE

          public static final String JSON_PROPERTY_FORMATTED_VALUE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ICONS

          public static final String JSON_PROPERTY_ICONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FieldValue

          public FieldValue()

  - ### Method Detail

    - #### name

          public FieldValue name(String name)

    - #### getName

          public String getName()

      The name of the field.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public FieldValue value(Object value)

    - #### getValue

          @Nullable
          public Object getValue()

      The value of the field. This can be a simple string,integer,number or boolean value (for simple FieldTypes), or an object (namely: an associative array of FieldValues for FieldType.OBJECT) or an array of objects (namely: an array of associative arrays of FieldValues for for FieldType.LIST_OBJECT).
      Returns:
        value

    - #### setValue

          public void setValue(Object value)

    - #### formattedValue

          public FieldValue formattedValue(String formattedValue)

    - #### getFormattedValue

          @Nullable
          public String getFormattedValue()

      The formatted value of the field (only applies for \"simple\" FieldTypes).
      Returns:
        formattedValue

    - #### setFormattedValue

          public void setFormattedValue(String formattedValue)

    - #### icons

          public FieldValue icons(List<Icon> icons)

    - #### addIconsItem

          public FieldValue addIconsItem(Icon iconsItem)

    - #### getIcons

          @Nullable
          public List<Icon> getIcons()

      Get icons
      Returns:
        icons

    - #### setIcons

          public void setIcons(List<Icon> icons)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.